package com.zcloud.modules.kangzai.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.kangzai.entity.BusRiverPointEntity;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc 河流经纬度坐标点信息表(BusRiverPoint)表服务接口
 * @Date 2025-06-09 09:50:37
 */
public interface BusRiverPointService extends IService<BusRiverPointEntity> {

    BusRiverPointEntity queryByFlexibleParams(String paramName, Object paramValue);

	List<BusRiverPointEntity> queryListByFlexibleParams(String paramName, Object paramValue);
    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(Long riverPointId,String userId);

}
